# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::DataSlave::QueueStruct Struct Reference

structure for queueing. More...

`#include <dataslave.h>`

Collaboration diagram for KIO::DataSlave::QueueStruct:

[legend]
List of all members.

## Public Member Functions

| QueueStruct (QueueType type)

## Public Attributes

QueueType | type
QString | s
KIO::filesize_t | size
QByteArray | ba

## Detailed Description

structure for queueing.

It is very primitive, it doesn't even try to conserve memory.

Definition at line 90 of file dataslave.h.

The documentation for this struct was generated from the following file:

- dataslave.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003